/* sample song using beep.h */
/* see song2.c for a reduced length version of this same file ... */

#include <stdio.h>
#include "musicalbeep.h"

int main()
{
	beep_parms_t mynote;
	int i;
	for (i = 0; i < 3 ; i++)
	{
	/* 2 ways to do this: the 'normal way' */
	mynote.note = NOTE_F_SHARP;
	mynote.octave = .5;
	mynote.length = EIGHTH_NOTE;
	mynote.tempo = 138;
	play_beep(mynote);

	/* or this tricky way */
	mynote =  (beep_parms_t) { NOTE_F_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	
	mynote =  (beep_parms_t) { NOTE_C_SHARP , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_F_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_D	 , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_F_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_C_SHARP , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_F_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_B , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_A , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_G_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_A , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_B , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_A , 1, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_G_SHARP , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
	mynote =  (beep_parms_t) { NOTE_E , .5, EIGHTH_NOTE, 138 } ; 
	play_beep(mynote);
    }	
	
	return(0);
}
